Detected deprecated version of plugin 'windows_if.ps1' or 'wmic_if.bat' (bakery ruleset 'Network interfaces on Windows')

CMK version: 2.1.0.p3
OS version: Ubuntu Server 22.04 LTS

Agent: 2.1.0p3

Error message:Detected deprecated version of plugin ‘windows_if.ps1’ or ‘wmic_if.bat’ (bakery ruleset ‘Network interfaces on Windows’).

Both of these plugins didn´t use as local checks.

BR
Dennis

1 Like

Hi,

in our case it helped removing the agent (and its directories in ProgramData and Program Files) and reinstalling the Agent clean. The Problem was the wmic-if file in the Plugin Folder.

regards
Steffen

1 Like

Hi,

thank you for your reply. I will give it a try in the next few days.

BR
Dennis

1 Like

Hi,

additional Information: one of my colleagues told me he “deployed” plugins back then by copying them to the directory. That would be the Problem in our case, maybe it helps you too :slight_smile:

regards

Steffen